Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.html
Class HtmlLink

    java.lang.Object
      |
      +--org.w3c.jigsaw.html.HtmlLink

public class HtmlLink
extends java.lang.Object

Constructor Summary
`HtmlLink(java.lang.String href)` Create a link with only HREF part (not very useful)
`HtmlLink(java.lang.String rel, java.lang.String href)` Create a link with only REL and HREF part
`HtmlLink(java.lang.String rel, java.lang.String href, MimeType type)` Create a link with only REL, HREF, and type part
`HtmlLink(java.lang.String rev, java.lang.String rel, java.lang.String href)` Create a link with only REL and HREF part
`HtmlLink(java.lang.String rev, java.lang.String rel, java.lang.String href, MimeType type)` Create a link with only REV, REL, HREF, and type part
`HtmlLink(java.lang.String rev, java.lang.String rel, java.lang.String href, MimeType type, java.lang.String title)` Create a link with REV, REL, HREF, type and title
`HtmlLink(java.lang.String rev, java.lang.String rel, java.lang.String href, java.lang.String title)` Create a complete link

Method Summary
`java.lang.String` | `toString()` genereate a String representation that can be append in a HTML document

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HtmlLink

    public HtmlLink(java.lang.String rel,
                    java.lang.String href)

  Create a link with only REL and HREF part

### HtmlLink

    public HtmlLink(java.lang.String rel,
                    java.lang.String href,
                    MimeType type)

  Create a link with only REL, HREF, and type part

### HtmlLink

    public HtmlLink(java.lang.String href)

  Create a link with only HREF part (not very useful)

### HtmlLink

    public HtmlLink(java.lang.String rev,
                    java.lang.String rel,
                    java.lang.String href)

  Create a link with only REL and HREF part

### HtmlLink

    public HtmlLink(java.lang.String rev,
                    java.lang.String rel,
                    java.lang.String href,
                    MimeType type)

  Create a link with only REV, REL, HREF, and type part

### HtmlLink

    public HtmlLink(java.lang.String rev,
                    java.lang.String rel,
                    java.lang.String href,
                    java.lang.String title)

  Create a complete link

### HtmlLink

    public HtmlLink(java.lang.String rev,
                    java.lang.String rel,
                    java.lang.String href,
                    MimeType type,
                    java.lang.String title)

  Create a link with REV, REL, HREF, type and title

Method Detail

### toString

    public java.lang.String toString()

  genereate a String representation that can be append in a HTML document

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD